function ecrire()
   tex.sprint("\\LuaLaTeX, c\'est bien")
end

-- suite
function suitelua(a,b,c,N)
   local u=c
   for i=1,N+1 do
      tex.sprint(u.." ")
      u=a*u+b
   end
end

-- vecteurs
function tracevect(nom,a)
   tex.sprint("$"..nom.."=("..a[1]..","..a[2]..","..a[3]..")$");
end


function addvect(a,b)
   return {a[1]+b[1],a[2]+b[2],a[3]+b[3]}
end

function dovect(chaine)
   local vect=string.explode(chaine,",");
   return vect
end

-- matrices

function domatrix(chaine)
   local vect=string.explode(chaine,";");
   for i=1,#vect do
      vect[i]=string.explode(vect[i],",");
   end
   return vect
end

function tracematrix(nom,a)
   tex.sprint("$"..nom.."=\\begin{pmatrix}");
   for i=1,#a do
      for j=1,#a[i] do
         if j==#a[i] then
            tex.sprint(a[i][j]);
         else
            tex.sprint(a[i][j].."&");
         end
      end
      tex.sprint("\\\\");
   end
   tex.sprint("\\end{pmatrix}$");
end

function prodmatrix(A,B)
   -- test de sureté !!
   local C={}
   for i=1,#A do
      C[i]={};
      for j=1,#B[i] do
         C[i][j]=0;
         for k=1,#A[i] do
            C[i][j]=C[i][j]+A[i][k]*B[k][j];
         end
      end
   end
   return C
end

function tracematrixOp(nom,a,option)
   local env
   if option=="" then
      env="pmatrix"
   else
      env=option
   end
   tex.sprint("$"..nom.."=\\begin{"..env.."}");
   for i=1,#a do
      for j=1,#a[i] do
         if j==#a[i] then
            tex.sprint(a[i][j]);
         else
            tex.sprint(a[i][j].."&");
         end
      end
      tex.sprint("\\\\");
   end
   tex.sprint("\\end{"..env.."}$");
end



function triTab(argument)
   -- on casse suivant les ,
   local liste={}
   local nomprenom=string.explode(argument,",")
   for i,v in ipairs(nomprenom) do
      local temp=string.explode(v," +")
      liste[i]={}
      liste[i].nom=temp[1]
      liste[i].prenom=temp[2]
   end
   table.sort(liste,function (a,b) return (a.nom<b.nom) end)
   for i,v in ipairs(liste) do
      tex.sprint("Nom : "..(v.nom).."; Prénom : "..(v.prenom).."\\par")
   end
end



